{ 
  pkgs, 
  inputs, 
  config,
  ... 
}:
let 
  colorVariant = " black";
  gtkThemeFromScheme = import ./gtk-theme-gen.nix { inherit pkgs config; };
  wallpaperGen = import ./wallpaper-gen.nix {inherit pkgs config; };
in 
{
  home.pointerCursor = {
    package = pkgs.bibata-cursors;
    name = "Bibata-Modern-Classic";
    size = 24;
    gtk.enable = true;
    x11.enable = true;
  };

  gtk = {
    enable = true;
    theme = {
      name = "${config.colorscheme.slug}";
      package = gtkThemeFromScheme;
    };
    iconTheme = {
      name = "tela-circle-icon-theme";
      package = pkgs.tela-circle-icon-theme;
    };
  };

  qt = {
    enable = true;
    platformTheme = "gtk";
  };

  home.packages = [
    wallpaperGen
  ];
}
